Bug 1012687 - RFE: Request for automatic creation of samba mounts in RHS2.1 when gluster volume is started.
RFE: Request for automatic creation of samba mounts in RHS2.1 when gluster vo...
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: samba (Show other bugs)
2.1
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jose A. Rivera
storage-qa-internal@redhat.com
config
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 17:44 EDT by Balaji
Modified: 2016-02-18 04:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 04:23:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Modified hook script for Gluster Volume start (29.45 KB, application/pdf)
2013-09-26 17:44 EDT, Balaji
no flags Details

  None (edit)
Description Balaji 2013-09-26 17:44:57 EDT
Created attachment 803611 [details]
Modified hook script for Gluster Volume start

Description of problem:
RFE:
The samba mounts no longer get created automatically when the gluster volume is started in RHS2.1. This used to exist in RHS2.0. When the samba vfs plugin for glusterFS was introduced that uses libgdfapi, this feature was no longer required for a standard operation. However this is still required when RHS is integrated with Active Directory for authentication. This can be easily fixed by adding a few lines in the hook scripts and left commented out to be used if required:

/var/lib/glusterd/hooks/1/start/post/S30samba-start.sh (While starting Gluster Volume)
/var/lib/glusterd/hooks/1/stop/pre/S30samba-stop.sh (While stopping Gluster Volume)

These modifications will append an entry in /etc/fstab file and mount the samba mount for start script. Also it will do the opposite for stop script. Please see attachment with highlighted changes.


Version-Release number of selected component (if applicable):RHS2.1


How reproducible:
"df -h" and the content of the /etc/fstab will indicate that the gluster volume info is missing. 

Upon modifying the hook script:/var/lib/glusterd/hooks/1/start/post/S30samba-start.sh and restarting the gluster volume, the volume will be visible as a samba mount /mnt/samba/gluster-vol-name as well as in the /etc/fstab.

Steps to Reproduce:
1.Stop an existing gluster volume
2.replace "/var/lib/glusterd/hooks/1/start/post/S30samba-start.sh" script with the attached script. 
3.Restart the gluster volume to display the samba mount. 

Actual results:


Expected results:


Additional info:
Comment 2 Ira Cooper 2014-09-03 08:08:35 EDT
We should make a script that wraps up all this functionality, and hides the fact that we use a FUSE mount.  It should also not modify /etc/fstab unless we need to, to mount the volume.
Comment 3 Ira Cooper 2016-02-18 04:23:28 EST
This release is out of support.

Even given that, this is not something that we would do, it is a workaround for the real issue, where we can't set ACLs from Linux.

If you wish to address that, please file a RFE against the latest release.

Thanks,

-Ira

Note You need to log in before you can comment on or make changes to this bug.